Subject: Re: mmap not share
From: "Brian Michael Genisio" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 25 Jun 2001 15:47:03 -0400 (EDT)

Dirk,
This mmap thing is annoying... not only because mmap does not sync correctly,
but because the cygipc shared memory interface uses mmap to do it's
dirtywork... so mmaped files AND shm do not work correctly!!!!

This racked my brain for a long while, until I created a workaround... If I
wanted to re-read the mmapped file, I had to unmap, and re-map... I created a
function I called mmap_sync (instead of calling msync, which does not work
either) and I put the unmap and map again in it... It created a lot of needless
overhead, but it was all I could think of to work around it...

I hope I was of some help, and please tell me if you figure it out.
Brian

--
---------------------------
      \\|//   Brian Genisio
      (o o)        [email-masked]
~~oOOo~(_)~oOOo~~~~~~~~~~~~~~~~~~~~~~~~~~

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple